## mokomaze 0.5.5-maemo1

=== Makefile ===
APP=mokomaze

CC = gcc

CFLAGS = -std=gnu99 -pedantic -std=c99 -D_GNU_SOURCE=1 -D_REENTRANT -g -O2  `sdl-config --cflags --libs` -fno-strict-aliasing -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include
PKGCFLAGS = -Wall

LIBS = `sdl-config --cflags --libs` -lm -lSDL_image -lSDL_ttf -lode

TARGET = mokomaze

SOURCES = src/main.c src/accelerometers.c src/json.c src/mainwindow.c src/paramsloader.c src/vibro.c

OBJS = $(SOURCES:%.c=%.o)

all:	$(TARGET)

$(TARGET): $(OBJS)
	$(CC) -o $(TARGET) $(OBJS) $(LIBS)

%.o: %.c
	$(CC) -o $@ -c $^ $(CFLAGS) $(PKGCFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

install:
	@echo You must be root to install
	install -d $(DESTDIR)/opt/mokomaze/data/
	install mokomaze $(DESTDIR)/opt/mokomaze/
	install data/*.png $(DESTDIR)/opt/mokomaze/data/
	install data/*.json $(DESTDIR)/opt/mokomaze/data/
	install -d $(DESTDIR)/usr/share/applications/hildon/
	install data/*.desktop $(DESTDIR)/usr/share/applications/hildon/
	for s in 40 26; do \
	  install -d $(DESTDIR)$(prefix)/usr/share/icons/hicolor/$${s}x$${s}/hildon ;\
	  install -m 644 data/$(APP).$$s.png $(DESTDIR)$(prefix)/usr/share/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\
	done
	install -d $(DESTDIR)$(prefix)/usr/share/icons/hicolor/scalable/hildon
	install -m 644 data/$(APP).64.png $(DESTDIR)$(prefix)/usr/share/icons/hicolor/scalable/hildon/$(APP).png

=== debian/changelog ===
mokomaze (0.5.5-maemo1) unstable; urgency=low

  * Port to N900 supporting accelerometer and vibra
  * Darken wall and background images
  * Change icons due to licensing reasons
  * Added accelerometer calibration when resuming game
  * Simplified makefile for easy packaging and maintenance for Maemo
  * Removed dependency on ttf-liberation. Using tahoma instead
  * Added level access control - must complete previous level to access next one

 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Sun, 9 Jan 2011 12:00:00 +0200

mokomaze (0.5.5+git8-3) UNRELEASED; urgency=low

  * Slight debian/copyright correction
  * Fix wrong homepage URL (Closes: #543773)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 16 Aug 2009 09:47:35 +0200

mokomaze (0.5.5+git8-2~fso) pkg-fso; urgency=low

  * Upload to pkg-fso until package is through NEW 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Jul 2009 14:53:30 +0200

mokomaze (0.5.5+git8-2) experimental; urgency=low

  * Brown paper pag: Wrong distribution (We have dependencies in experimental)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Jul 2009 14:51:56 +0200

mokomaze (0.5.5+git8-1) unstable; urgency=low

  * Watch file added
  * New upstream release 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Jul 2009 14:49:29 +0200

mokomaze (0.5.1-1~fso) pkg-fso; urgency=low

  * Upload to pkg-fso until package is through NEW 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Jul 2009 13:50:17 +0200

mokomaze (0.5.1-1) experimental; urgency=low

  * New Upstream Version
  * Build-Depend on libode-sd-dev
  * Write a manpage

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Jul 2009 13:37:58 +0200

mokomaze (0.2.3-1) pkg-fso; urgency=low

  * New Upstream Version
    + Added support for 2.6.29 kernel.
  * Build-Depend on pkg-config, build in qemubuilder fails without that. 

 -- Nikita V. Youshchenko <yoush@debian.org>  Tue, 23 Jun 2009 01:17:35 +0400

mokomaze (0.2.2-1) pkg-fso; urgency=low

  * New Upstream Version

 -- Joachim Breitner <nomeata@debian.org>  Tue, 17 Feb 2009 20:12:34 +0100

=== debian/control ===
Source: mokomaze
Section: user/games
Priority: extra
Maintainer: Damian Waradzyn <damian.waradzyn@gmail.com>
Build-Depends: debhelper (>= 5), liblocation-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libode-dev, libdbus-1-dev
Standards-Version: 3.7.2

Package: mokomaze
Architecture: armel
Depends: libode1, ${shlibs:Depends} 
Description: Labyrinth clone with great physics, graphics and a lot of fun.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAABwgAAAcIAHND5ueAAAAB3RJTUUH2wEIFSwQcpJd
 QgAADbhJREFUeNrtmXmMXVd9xz/nnHvv29/MG9sz3uLx2M7iJE4ggUAIZC9J
 S5qkRG0oVAK1UZFKEbR/tEStaKF0QWpp01ZdRCvRBdFCG1UNokloSEJiCCF2
 4niJd894PNsbv3257y7n/PrHjG1VJLbjgNQlvyu9+/Tu0X2/7/f8zvf8fucH
 b9qb9v/bDAKYYcOP+x7fjN3/NgAeAIkoVCz/Y7z6kxEFYhiklk915OwAFEAr
 fcN/+vmSwvhe/vuKjf+8KreGlXmrFkop1Yzo1bUx26/X89PRU/3zeFdqIbUV
 PF0H7NmGqjfs+C8W1aYX1hbSqcHVqi3X6VRtRhjV6CBDmGsG1Xc4p3q+lpNK
 1B5fqRfWrMk9O3t7cODYRK8jvxm9OsN/OGRIsDzY4kcD4PMV1n1lKOfvdj8m
 Vu4O8EeHKNcrDDc2qHXViY0TUqp0y3tm/+K9zTjOzgpj1Qg/FbQVUiP6mZJS
 X1iT2KcfsxfO3wUBMB8eNhP/tvLqtBX/Uo7syEWsO3ZV9vLZe++8N3nHve8c
 9rZk1lFSQ9h2hu/93kUkjRxzs409+/apL++dG3mimlQ6lkzfgnP6jyux/oPd
 pPGFqdDrtK0T27zydu9nXN9+bAPrGtdxze6PXPahqQd+66PljXdsWa83+Gup
 6FWU9Ag5huhO5zHaoBSjGZXcVkm61wTdxisdySYOY5F3dYy7ZFjpF+7ypb3b
 /igB3DBK6WX7Yc+Z+7Zyyf7buHHfz135gcXrP/6e1WbCH6OiK5RUhbwqk6GI
 J3lqhz3SvkfUd4Qdp8K2WzFohRsC19vXpeBAA1dEyN0tqw5U/3r1JI90z9sl
 fb4DP5X/FbVpe+7+gOCea7jqpbu5c89Pl++Z3/qhbaOs1hXKukyeIhlyeGRQ
 GLGSUj3Rp9NI6LdT4tARR86mzhUN9sYKtaImWuETDXms7Wj56o2faNym/upi
 ny9OaP4s88MD8NXw4bcq1Ae2sXX37dx0+A7/ltrGWzbn1BpTpqSK5MgTqBy+
 ymLw0RhEJxyfrFGdiqjNJbQWrXSaSXtgpWsxJYMdDrBFj6Tik+R89GSSPnT7
 Zxc2oVb61C/TPxQAb+PqghX3yxOMT97I9Udu8d5dX3/tuK+2+SMMqwIFVSCn
 CgRqiX1DBqMCQHHg5QYzB0Jmj/Tc/NSg3uy4uZRcLcHvWDxfQVZjC4ak4pH4
 nl03VQ8/8+nm3cIVV8rrBrBfjv3AoAUW7x5h2L+Wq46+R11/cuPWjVpd548w
 riuUVJE8BQLyBOTxyOCpAEMgiO4fejFKJvf3OyemouO1rhzpSWZ6QGY2IpiP
 CQDxFZJZBlE2xAOSO5/83F/e8bfv++1zqqSHwINffJQbtr1bq3fu9w/Si4HT
 yO/K3VncHe69bxMbX3kbb124dOxiq98WjLBJVxjTwxRUgewy+z45vOVZ0Hgo
 673UHgwVwOtZgnaCqSX4tQR/ISVbiwm0QgzgK8gZbMkjDR3+Qlj7+E2P7X8c
 iM6ZC12REV3IpllD0Qd9Wo8fkd180tx9T4Wh6DK2zF2pL+vlrihmGTclVush
 htUQBVUiUPll57N4ZDEEKIxSoncNWFFS+AOH6Tq8dorXTPFbCZ4VlBJEK/A0
 yjnIGlzBI12w0Q2/8/Ff3Qq8dE4AK7Zq/NFEIkIDyemHj635c20lffsaxmYv
 ZUvzohXrLZt1kdW6xIgaoqJGKMkKslJBi08iKWHaSOPYJjbxZb49szi8tdhO
 B2G7FybNbtuEJKWYVIkngdYYAYcgCpxW4CtUVmNzmmRH7fhPnReAV9TX3ba1
 60ONixz+6fB5cv7pjMEUxhg9NqE39HPjQaY+dGJFa3qyMn1gOj/ffGFobupY
 XK/PNpuDdjlMoiAehBJHMc5JYgajnS/XJ2/ASoIjTuPYRv0wHdRbvcHk0ZnZ
 /Uc6h3Y/5x/c+Xw63Zxd0Yw7Q+ByvsIFBteOo7d8aWyD+sjCcbmgVGID69fm
 yP7pNWzeX/BPFgbZ2fHEa6xxJqoYI4HRYMCZ5beIIE4QEcQYdNJevfsfO3P3
 4kgQLEJKKhGWPhFdBtKUkJaqx4tyuDNz9Iln209962vZR2e+s2UPc9c1JGms
 SkZu2kNtcPZ64DVMVGdLVc/dujc4fP26PGnOYAONBCAGrFomQM4woYxGAaKA
 nO/MMk1n1E4ri0iAwccQKCUa5YkqDKnNW+7obj546/5rJ1/c8SX5h52P8PjN
 TmeKuNcGcNZ9oOS3Lh8OrCn4S3g0oBVKA0qdmb1TX9QyIk8hnkK8M2qml0Go
 5UujMCg0Whk0BoPGV5o8xleeaALnk3XaBeVzV2SvYdaSVQYUKKPQWuFOMS7/
 Pf7EKPAUzleIp3EGMFpFrxKy6geCV53+XaGWpk+hRAF9Qn3BADKiBzFOn2Lb
 gZJlVtUyAq0go3E5jQs07jT7Cud7ckrSTmF2gJy+QBBxOCwOhxVHjBNxpFjt
 EAw6POdG9lrLOSOFqYZ01LLjiJyJbxT4GpfVuLzBZjQSaJwPqa+XwiefMacO
 CRwOh2Bx2OV7iiUlJVn6lJSQRDrOdlzXdOhmHc7prIkYXOAMbMirajXFLldR
 p0GIQvlLjrucxubNGSCeLAEwCoLALDF9xmmLkwRLjJUIS0RKTCwxIRFtiW0z
 tSep55u0Cg43KAXFswI4a3zN3GRPaFFzkcOkoN1yDBiwy5uNzWlcUZOWPdKi
 IS1qoiEfW/GIR/KeQkhxJDhirAxwxKSEJIRE0mcgfbrSo+H6VF3YXmjbE8zm
 a9RHksBOv/j4Qu+Cs9GJ962t+1ptHzh0ZNGpQ2sQX0Ogkcwy63kPm9fYosEN
 BzDkkZY9bE78gZxy3MoAS0RCj0RCIvoM6NKTDm3pclJ6TNlwpjNrjjI1XKOx
 ys/7z7MxuPB0+isfO5SUU/U3A4cXOrx0SSkxLC1UXy2FTqBweQ9b8LAlHyka
 XNGQBrHuS0pISo+EHjFdIukwoE0oLTquRUNaLLgWU64T7u8N9sr+0mGOjfXo
 l1ZOjO1kPpALViGAmvYPYF21Z2WkbNF4p7VQjAKjkEAjgUJyGpcxSF5hPcFa
 rVMiaZLQx0pCSkRCn1C6tKVBQxpUXZNJ13K74vahk4e9nby8apLpjYI7+Hy6
 o89bErnwgqZs9LEgmRhYtb2XonsOL5bltbAkg2i1pEpGIUYhGYXLaCSnsVkt
 qD51+tKgL3V6UqPt6jTcSWquxpyrc9TW2ZU25vbOJtvl+ZFd7JmoUx+t+60j
 zJ67ZtcAH+b9r/50ID4DNtRFTnRT1WwuVVF+LBgry/uCLAuwLM2MXkozxFcQ
 6ETTkSptWaQpi9RlkZNSZV6qHHeLHLIn2Wlri9+bD5+JvzO8nefHj3H8kiad
 Qdf1ElqSnrugUfB3PPzqG1mc0Smp5xDVtnJQx7y9YAjyiqRg8BNHnAgqFZQF
 ZQVSB04v4VESGVWVE0Q2XgoeGdCSHiely5Rty0tpq7pzLnoyenb4cZ6e2MXe
 bVVOru3R36ms9j1MLyHlda2BJ2UHQ6zn08Vf09/tPTrap6sT4tThms3UVVUo
 qzWkGY1kNTZrcDmHjSw6XFL8vl8gqw1aRZFj0s7SdzE9ielKxILrM+368a6w
 e2TmqH4u/f6KJ3l24iX2XjnD3KVdek2F6nt4iYfnkrMXZK++iEMauV944GPB
 0Yf2BvNMdUBaKUnLwlw9dSXXl5wCdSr+PRBPg6fwtCLTs2gElyTOsCOeoSUx
 HRLmbBQfH8TVhUX2xK/kd7BrxQ52jb/CwcvnqV7coSugqh5eKyDbKpALenTP
 nUr8Lg/yG+r3AbhFXQsQHt838O57+AOtf5n++/lF5of69AqQ5Bxkm9ZtONCT
 fGhR3Tw6dJhYIPaQkQBPWeLUIqF1me4/Neb77b70o55asIv+FNPlI0yW93Fw
 9SGOjs+xsKlGfTwkSjT6iIc3nSEzU2Jo7hKuyD6Y/aPWJwYffP0yGmyh+8BH
 fz5ufK7GtweP+VXmdY8eMZGzpHHXuXWH+zJci1BzoZiNeczaHMloSlLR6JLB
 tGJXOLLwtVV9un6TVuYktcI8i5V5FkYXqa1r0FrbpVexuJqHmfLwj2XJHaow
 cmSciaO35d5bu/+2n+UTX//ghR/u1u8S9dC3Pj+0vf/tjUc5PN6isSki3JiQ
 XGRx68CtCpBcSSMrfEnHspKOZXElQ9ruBIuznbfsiUgzA6JcSFgMCYf6hJU+
 g1xK2tfoeQ9/OiCYylOYXM3ao1vUZUcu45qFz8onz9kxOq/T6ea/Crt+/eXM
 fyz8+9hznWfWznJ8fZvW2pBwfUoylmJXCm5EQzFAgqwS7Wt0anViKfQsYixW
 p1ix2ARoaUzNw1sIyMwVKZ5YwejMFebKE7cWfmLmrs3v7616UZ1Xx+i8j9cX
 dwr2FbzO1OLK577xTPGbO75RPBjuX1mjtiqkNxIRj6TEZYsrCpIVnC/LqQeo
 VKMihel7mI5P0MyRq5cpL46qdYtXBVcuvuuSm5vbrn57Z+z+kWToJ8//1P91
 9wd6odNRTZU5bgvNfY38oScO6O9/93nvwOTeTJX5Qod2PmSQsSS+LNdWBpMG
 +HGeYjjCSG9lZqxTSvKNLYVLuu8q3xhd+pktafYBdUE9ujfUYpqXDrm0iJoH
 dQDNS2j7n6j+U7E5nu7XzVysyyWf9Vs2qJGbK0FSJlXjRGY1g9J73nh36017
 0960/wP2XyBOSrFfoCNYAAAAAElFTkSuQmCC
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

CXXFLAGS = $(CFLAGS)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/mokomaze.sgml > mokomaze.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mokomaze.
	$(MAKE) DESTDIR=$(CURDIR)/debian/mokomaze install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mokomaze 0.5.5-maemo2

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 TARGET = mokomaze
 
-SOURCES = src/main.c src/accelerometers.c src/json.c src/mainwindow.c src/paramsloader.c src/vibro.c
+SOURCES = src/main.c src/accelerometers.c src/json.c src/mainwindow.c src/paramsloader.c src/vibro.c src/screen.c
 
 OBJS = $(SOURCES:%.c=%.o)

=== debian/changelog ===
mokomaze (0.5.5-maemo2) unstable; urgency=low

  * Prevent screen dim during gameplay by default
  * Default delay between frames set to 0 for the game to run smoother

 -- Damian Waradzyn <damian.waradzyn@gmail.com>  Sun, 9 Jan 2011 13:00:00 +0100

## mokomaze 0.7.1

=== debian/changelog ===
mokomaze (0.7.1-2) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Games team
  * Build-Depends: s/pkg-config/pkgconf/
    Closes: #1108638
  * cme fix dpkg-control
  * d/watch: version=4
  * d/copyright: DEP5
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sun, 03 Aug 2025 20:17:24 +0200

mokomaze (0.7.1-1) unstable; urgency=medium

  * New upstream release
    - Adds calibration in new settings (Closes: #563803)
    - Fixes FTBFS with clang (Closes: #753436)
    - Add new build dependencies and remove old ones
  * Bump debhelper compat to 11
  * Replace dead alioth list in Maintainer with myself (Closes: #899613)
  * Remove Joachim Breitner from Uploaders, no longer active here

 -- Paul Wise <pabs@debian.org>  Sun, 03 Feb 2019 20:18:52 +0800

mokomaze (0.5.5+git8+dfsg0-4) unstable; urgency=medium

  * Switch from libode-sp-dev to libode-dev (Closes: #804727)

 -- Paul Wise <pabs@debian.org>  Thu, 12 Nov 2015 13:16:43 +0800

mokomaze (0.5.5+git8+dfsg0-3) unstable; urgency=low

  * Add missing build-dep on libglib2.0-dev (Closes: #669435)
  * Fix the Homepage again

 -- Paul Wise <pabs@debian.org>  Fri, 25 May 2012 11:46:40 +0800

mokomaze (0.5.5+git8+dfsg0-2) unstable; urgency=low

  * Fix hardcoded location of the Liberation Mono font,
    which moved recently.
  * Fix typo in the description and clean it (Closes: #643998)

 -- Paul Wise <pabs@debian.org>  Wed, 26 Oct 2011 19:01:58 +0800

mokomaze (0.5.5+git8+dfsg0-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Slight debian/copyright correction
  * Fix wrong homepage URL (Closes: #543773)

  [ Paul Wise ]
  * Add myself to uploaders
  * Fix build failure with ld --no-add-needed (Closes: #607186)

 -- Paul Wise <pabs@debian.org>  Sat, 01 Oct 2011 12:31:22 +0800

mokomaze (0.5.5+git8+dfsg0-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add B-D on librsvg2-common so that rsvg-convert will be able to
    load SVG files referenced by the main SVG files. This prevents
    the buildds from building blank icons.

 -- Paul Wise <pabs@debian.org>  Mon, 13 Dec 2010 14:16:37 +0800

mokomaze (0.5.5+git8+dfsg0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Repack the orig tarball to remove non-free files (Closes: #600374)
    - therefore cherry-pick two upstream commits:
      + [084f1e7] Menu icons replaced with the free ones.
      + [920fb49] Build all the images from a set of SVG files.
    - Add a librsvg2-bin B-D to build the png images from their svg source.
    - Add automake B-Ds and an autoreconf call before the build.
    - Thanks go to Paul Wise for the patches.

 -- Didier Raboud <didier@raboud.com>  Wed, 08 Dec 2010 10:23:12 +0100

=== debian/control ===
Source: mokomaze
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Paul Wise <pabs@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               fontconfig,
               fonts-liberation,
               libargtable2-dev,
               libglib2.0-dev,
               libguichan-dev,
               libjson-glib-dev,
               libode-dev,
               librsvg2-dev,
               libsdl-gfx1.2-dev,
               libsdl-image1.2-dev,
               libsdl-ttf2.0-dev,
               libsdl1.2-dev,
               pkgconf,
               xsltproc
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/games-team/mokomaze
Vcs-Git: https://salsa.debian.org/games-team/mokomaze.git
Homepage: https://mokomaze.sourceforge.io/

Package: mokomaze
Architecture: any
Depends: fonts-liberation,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ball in labyrinth game for the OpenMoko FreeRunner
 Mokomaze is the opensource implementation of the classic game where you control
 a steel ball by tilting a wooden labyrinth.
 .
 This package requires acceleration sensors and is targeted for the Openmoko
 FreeRunner smartphone.

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://sf.net/mokomaze/mokomaze-(.*).tar.gz
